From: Jer Noble <jer.noble@apple.com>
Date: Wed, 6 Jun 2012 21:08:45 +0000 (-0700)
Subject: Migrate the contents of webkitenv into .webkit_login.
X-Git-Url: http://105106.c2e0p.group/dotfiles.git/commitdiff_plain/636fde49bb580dea9dd980a6d9d3c88bd3328a00?ds=inline;hp=ede54eb541ad5864402cc48bd9312049e5bb9b92

Migrate the contents of webkitenv into .webkit_login.
---

diff --git a/.webkit_login b/.webkit_login
index d99772a..ae4b19c 100644
--- a/.webkit_login
+++ b/.webkit_login
@@ -1,10 +1,18 @@
 #!/bin/bash
 
 function switchto() {
+    export OLD_WEBKIT_DIR=$WEBKIT_DIR
     export WEBKIT_DIR=~/Projects/WebKit.$1
-    if [[ -f ${WEBKIT_DIR}/webkitenv ]]; then
-        source ${WEBKIT_DIR}/webkitenv
+    if [[ "$OLD_WEBKIT_DIR" == "" ]]; then
+        export PATH=$PATH:$WEBKIT_DIR/OpenSource/Tools:$WEBKIT_DIR/OpenSource/Tools/Scripts:$WEBKIT_DIR/Internal/Tools/Scripts
+    else
+        export PATH=$(echo $PATH | sed -e "s;$OLD_WEBKIT_DIR;$WEBKIT_DIR;g")
     fi
+    export OLD_WEBKIT_DIR=
+
+    alias opensource="cd $WEBKIT_DIR/OpenSource"
+    alias internal="cd $WEBKIT_DIR/Internal"
+    source $WEBKIT_DIR/OpenSource/Tools/Scripts/webkit-tools-completion.sh
 }
 
 function _switchto_complete() {
@@ -17,4 +25,8 @@ function _switchto_complete() {
 
 complete -F _switchto_complete switchto
 
+export EMAIL_ADDRESS=jer.noble@apple.com
+export PS1='$( if [ $? = 0 ]; then echo \[\e[32m\]:-\)\ ; else echo \[\e[31m\]:-\(\ ;fi;)\[\e[0m\]$(__git_ps1 "(%s) ")\u@\h:$(short_pwd)> '
+source ~/bin/git-completion.bash
+
 switchto PuzzleBox
\ No newline at end of file